<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Finance\Repositories\Eloquent;

use Illuminate\Support\Facades\DB;
use Prettus\Repository\Eloquent\BaseRepository as BaseRepositoryEloquent;

abstract class BaseRepository extends BaseRepositoryEloquent
{
    protected function getConnectionName()
    {
        return app($this->model())->getConnectionName();
    }

    protected function getTableName()
    {
        return app($this->model())->getTable();
    }

    public function getConnection()
    {
        return DB::connection($this->getConnectionName());
    }

    public function pagePaginate($data, $total, $request)
    {
        $pageData = [];

        $pageData['data'] = $data;
        $pageData['total'] = $total;

        $offset = $total;
        if(isset($request['page_size']) && !empty($request['page_size'])){
            $offset = $request['page_size'];
        }
        $pageData['total_page'] = ceil($total / $offset) - 1;
        if($total == 0){
            $pageData['total_page'] = 1;
        }
        $pageData['page_no'] = !isset($request['page_no']) || empty($request['page_no']) ? 1 : $request['page_no'];

        return $pageData;
    }
}
