<?php


namespace App\ImportExport\WuxiLab\Models;

use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithHeadings;

class WuxiLabProductsExportModel implements FromArray,WithHeadings, ShouldAutoSize
{
    private $exportContent = [];

    public function __construct($exportContent)
    {
        $this->setExportContent($exportContent);
    }

    public function setExportContent($content)
    {
        $this->exportContent = $this->toMap($content);
    }

    public function array(): array
    {
        return $this->exportContent;
    }

    public function toMap($rows): array
    {
        $exportRows = [];
        array_push($exportRows,['','','','','','','','','','','','','','','','','','','']);
        foreach($rows as $key => $row){
            array_push($exportRows,[
                $row['r_code'], $row['c_cas'], $row['c_mdl'], $row['c_fzs'], $row['c_fzl'], 'N/A', '',
                $row['p_en_name'], $row['p_cn_name'], 'rhawn', '0', '0', '0', 1, 3, '', $row['r_level'], 'AMINO_ACIDS_PEPTIDES', ''
            ]);
        }

        return $exportRows;
    }

    public function headings(): array
    {
        return $this->getHeaderTitle();
    }

    private function getHeaderTitle()
    {
        return [
            'ProductId', 'CAS', 'MDL', 'MolecularFormula', 'MolecularWeight', 'ComplianceType', 'UN', 'EnglishName', 'ChineseName', 'Brand', 'StorageCondition',
            'TransportationCondition', 'IsImported', 'LeadTimeMinDays', 'LeadTimeMaxDays', 'LeadTimeBackOrderDays', 'Purity', 'ProductCategory',
            'ShipsAdditionalDescription'
        ];
    }
}
