<?php


namespace App\ImportExport\WuxiLab\Models;

use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithHeadings;

class WuxiLabProductsShelvesExportModel implements FromArray,WithHeadings, ShouldAutoSize
{
    private $exportContent = [];

    public function __construct($exportContent)
    {
        $this->setExportContent($exportContent);
    }

    public function setExportContent($content)
    {
        $this->exportContent = $this->toMap($content);
    }

    public function array(): array
    {
        return $this->exportContent;
    }

    public function toMap($rows): array
    {
        $exportRows = [];
        foreach($rows as $key => $row){
            array_push($exportRows,[
                $row
            ]);
        }

        return $exportRows;
    }

    public function headings(): array
    {
        return $this->getHeaderTitle();
    }

    private function getHeaderTitle()
    {
        return [
            'supplierProductId'
        ];
    }
}
