<?php

namespace App\Repositories\Eloquent;

use App\Repositories\Contracts\ApiPermissionsRepository;
use App\Repositories\Criteria\RequestCriteria;
use App\Repositories\Models\ApiPermissions;
use Illuminate\Support\Facades\DB;

/**
 * Class UserRepositoryEloquent.
 */
class ApiPermissionsRepositoryEloquent extends BaseRepository implements ApiPermissionsRepository
{

    public function model()
    {
        return ApiPermissions::class;
    }

    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }

    public function existPermissionByPermissionName($permissionName)
    {
        $permission = $this->findWhere([
            'permission_name' => $permissionName
        ])->first();

        if($permission){
            return $permission->toArray();
        }

        return null;
    }
}
