<?php

namespace App\Repositories\Eloquent;

use App\Repositories\Contracts\PlatformCustomerRepository;
use App\Repositories\Criteria\RequestCriteria;
use App\Repositories\Models\PlatformCustomer;
use Illuminate\Support\Facades\DB;

/**
 * Class UserRepositoryEloquent.
 */
class PlatformCustomerRepositoryEloquent extends BaseRepository implements PlatformCustomerRepository
{

    public function model()
    {
        return PlatformCustomer::class;
    }

    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }

    public function getCustomerList($where,$offset,$limit)
    {
        $customerInfo = DB::connection($this->getConnectionName())->table($this->getTableName())
            ->where($where)
            ->offset($offset)
            ->limit($limit)
            ->get();
        if($customerInfo){
            return $customerInfo->toArray();
        }
        return null;
    }

}
