<?php

namespace App\Repositories\Eloquent;

use App\Repositories\Contracts\KafkaFailQueueRepository;
use App\Repositories\Contracts\PlatformDataEntriesRepository;
use App\Repositories\Models\KafkaFailQueue;

use App\Repositories\Models\PlatformDataEntries;
use Illuminate\Container\Container as Application;

/**
 * Class UserRepositoryEloquent.
 */
class PlatformDataEntriesRepositoryEloquent extends BaseRepository implements PlatformDataEntriesRepository
{
    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return PlatformDataEntries::class;
    }

    public function getEntriesValues($plformId, $key = null)
    {
        $where['platform_id'] = $plformId;
        if(!is_null($key)){
            $where['data_key'] = $key;
        }
        $record = $this->findWhere($where)->toArray();
        return $record;
    }

    public function storeEntries($platformId, $key, $values)
    {
        $entries = [
            'platform_id' => $platformId,
            'data_key' => $key,
            'data_values' => is_array($values) ? json_encode($values,JSON_UNESCAPED_UNICODE) : $values
        ];
        return $this->updateOrCreate([
            'platform_id' => $platformId,
            'data_key' => $key,
        ],$entries);
    }

    public function removeEntries($platformId, $key)
    {
        return $this->deleteWhere([
            'platform_id' => $platformId,
            'data_key' => $key
        ]);
    }

}
