<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Repositories\Transformers\Rhawn;

use League\Fractal\TransformerAbstract;

class ProductDetailTransformer extends TransformerAbstract
{
    /**
     * 格式化结果
     * @param $rhawnSorders
     * @return array
     */
    public function transform($products)
    {
        $productTransReturn = [];
        if($products){
            $productTransReturn['code'] = $products['p_code'];//中文别名
            $productTransReturn['cas'] = $products['c_cas'];//CAS号
            $productTransReturn['chem_cn_name'] = $products['c_cn_name'];//中文名
            $productTransReturn['chem_en_name'] = $products['c_en_name'];//英文名
            $productTransReturn['cn_name'] = $products['p_cn_name'];//中文名
            $productTransReturn['en_name'] = $products['p_en_name'];//英文名
            $productTransReturn['level'] = $products['p_level'];//项目规格
            $productTransReturn['delivery'] = $products['p_tod'];//货期
            $productTransReturn['price'] = $products['p_price'];//单价
            $productTransReturn['market_price'] = $products['m_price'];//目录价格
            if($products['r_status'] == 0 || $products['p_status'] == 0 || $products['p_show'] == 0 || $products['p_if_big'] == 1){
                $productTransReturn['status'] = 0;
                $productTransReturn['price'] = 0;
                $productTransReturn['market_price'] = 0;
            }else{
                $productTransReturn['status'] = 1;
            }
        }
        return $productTransReturn;
    }
}
