<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Rhawn\Repositories\Eloquent;

use Illuminate\Support\Facades\DB;
use Prettus\Repository\Eloquent\BaseRepository as BaseRepositoryEloquent;

abstract class BaseRepository extends BaseRepositoryEloquent
{
    protected function getConnectionName(): ?string
    {
        return $this->makeModel()->getConnectionName();
    }

    protected function getTableName(): string
    {
        return $this->makeModel()->getTable();
    }

    public function getConnection(): \Illuminate\Database\ConnectionInterface
    {
        return DB::connection($this->getConnectionName());
    }
}
