<?php

namespace App\Rhawn\Services\Chemsite;

use App\Exceptions\ServerRunTimeException;
use App\Rhawn\Repositories\Contracts\Chemsite\ChemsiteCustomerRepository;

class ChemsiteCustomerService
{
    private ChemsiteCustomerRepository $customerRepository;

    public function __construct(ChemsiteCustomerRepository $chemsiteCustomerRepository)
    {
        $this->customerRepository = $chemsiteCustomerRepository;
    }

    public function getCustomerThroughCusCode($cusCode)
    {
        $customer = $this->customerRepository->getCustomerThroughCusCode($cusCode);
        return $customer->toArray();
    }

    public function getCustomerListByCusCode($cusNo,$offset,$limit): ?array
    {
        return $this->customerRepository->getCustomerList(['cus_no' => $cusNo],$offset,$limit);
    }
}
