<?php

use Illuminate\Database\Seeder;

use Illuminate\Support\Facades\DB;

class ThridApiPlatformSeeder extends Seeder
{
    use \App\Support\Traits\Helpers;

    protected $thirdapiplatform = [
        [
            'platform_name' => 'integle',
            'platform_title' => 'integle',
            'platform_url' => 'http://suppliers.integle.com',
            'platform_desc' => 'integle 接口平台',
            'platform_icon' => '',
            'platform_params' => '',
            'platform_type' => 'third',
            'platform_status' => '1',
            'platform_token' => '',
        ],
        [
            'platform_name' => 'wuxi_appTec',
            'platform_title' => '药明康德',
            'platform_url' => 'https://api.uploadcatalog.com',
            'platform_desc' => '药明康德接口平台',
            'platform_icon' => '',
            'platform_params' => '',
            'platform_type' => 'third',
            'platform_status' => '1',
            'platform_token' => '',
        ],
        [
            'platform_name' => 'bide',
            'platform_title' => 'bide',
            'platform_url' => 'http://220.248.71.110:9000',
            'platform_desc' => 'bide 接口',
            'platform_icon' => '',
            'platform_params' => '',
            'platform_type' => 'third',
            'platform_status' => '1',
            'platform_token' => '',
        ],
        [
            'platform_name' => 'bjs',
            'platform_title' => 'bjs',
            'platform_url' => 'http://220.248.71.110:9000',
            'platform_desc' => 'bjs 接口',
            'platform_icon' => '',
            'platform_params' => '',
            'platform_type' => 'third',
            'platform_status' => '1',
            'platform_token' => '',
        ],
        [
            'platform_name' => 'zkh',
            'platform_title' => '震坤行',
            'platform_url' => 'https://honeycomb.zkh360.com',
            'platform_desc' => '震坤行开放平台接口',
            'platform_icon' => '',
            'platform_params' => '',
            'platform_type' => 'third',
            'platform_status' => '1',
            'platform_token' => '',
        ],
        [
            'platform_name' => 'chemsite',
            'platform_title' => 'ChemSite',
            'platform_url' => 'https://admin1.chem-site.com/',
            'platform_desc' => '',
            'platform_icon' => '',
            'platform_params' => '',
            'platform_type' => 'self',
            'platform_status' => '1',
            'platform_token' => '',
        ],
        [
            'platform_name' => 'leyan',
            'platform_title' => '乐研',
            'platform_url' => 'http://update.leyan.com.cn',
            'platform_desc' => '',
            'platform_icon' => '',
            'platform_params' => '',
            'platform_type' => 'third',
            'platform_status' => '1',
            'platform_token' => '',
        ],
    ];


    public function run()
    {
        try{
            DB::beginTransaction();

            $thirdApiPlatformRepo = app(\App\Repositories\Eloquent\ThirdApiPlatformRepositoryEloquent::class);

            foreach($this->thirdapiplatform as $platform){

                switch($platform['platform_name']){
                    case "integle" :
                        $platform['platform_params'] = json_encode([
                            'ak' => '2irXmYG_TMa120jd_WhryIkBWsxCFeNG',
                            'batchNums' => '500'
                        ]);
                        break;
                    case "wuxi_appTec" :
                        $platform['platform_params'] = json_encode([
                            'username' => '790087059@qq.com',
                            'password' => 'YXH1992xb',
                            'auth' => 'dGVzdDEyMzpwYXNzNDU2',
                            'batchNums' => '500',
                            'companyId' => '6789',
                            'adminUrl' => 'https://www.uploadcatalog.com',
                            'excelCreateLimit' => 100
                        ]);
                        break;
                    case "bide" :
                        $platform['platform_params'] = json_encode([
                            'Client_id' => 'bide_bssw',
                            'Client_secret' => '83643588AE356CBFF84227C178DAE900',
                        ]);
                        break;
                    case "bjs" :
                        $platform['platform_params'] = json_encode([
                            'Client_id' => 'Picasso_bssw',
                            'Client_secret' => 'C35E61644B63D0C34BEC729028BBFF08',
                        ]);
                        break;
                    case "zkh" :
                        $platform['platform_params'] = json_encode([
                            'test_accessId' => 'V00525@zkh360.com',
                            'test_accessSecret' => 'asdQWE1234',
                            'prod_accessId' => 'sales@rhawn.cn',
                            'prod_accessSecret' => 'YXH1992xb',
                            'test_platform_url' => "https://honeycomb-app-uat.zkh360.com",
                            'page_size' => "2000"
                        ]);
                        break;
                    case "chemsite" :
                        $platform['platform_params'] = json_encode([
                            'whiteList' => [
                                '139.224.51.59'
                            ],
                        ]);
                        break;
                    case "leyan" :
                        $platform['platform_params'] = json_encode([
                            'username' => 'chemmall',
                            'password' => 'chemmall01',
                        ]);
                        break;
                }
                $result = $thirdApiPlatformRepo->findWhere(['platform_name' => $platform['platform_name']]);
                $result = $result->toArray();
                if(!$result){
                    //$platform['platform_type'] = 'third';
                    $platform['platform_status'] = '1';
                    $platform['platform_token'] = $this->randomFromDevice(16);
                    $platform['created_at'] = date('Y-m-d H:i:s',time());
                    $platform['updated_at'] = date('Y-m-d H:i:s',time());

                    $thirdApiPlatformRepo->updateOrCreate(['platform_name' => $platform['platform_name']],$platform);
                }
            }
            DB::commit();

            $this->command->getOutput()->info('初始化数据成功.');

        }catch(Exception $e){
            $this->command->getOutput()->error('初始化数据失败，原因：'.$e->getMessage());
            DB::rollback();
        }

    }
}
