<?php

$api->version('v1', function($api) {

    //获取token
    $api->group(['namespace'=>'App\Http\Controllers\V1\Auth','middleware' => ['throttle:60,1']], function($api) {
        $api->post('/openapi/auth/getToken', ['uses'=>'CustomerAuthController@getToken']);
    });

    $api->group(['namespace'=>'App\Http\Controllers\V1\Rhawn','middleware' => ['throttle:60,1','apiAuth'], 'providers' => 'jwt'], function($api) {
        // 获取订单列表
        $api->post('/openapi/rhawn/orders/getRhawnOrders', ['permission' => 'orders.getCustomerOrders', 'uses'=>'OrdersController@getCustomerOrders']);
        // 获取订单详情
        $api->post('/openapi/rhawn/orders/getRhawnOrderDetail', ['permission' => 'orders.getCustomerOrders', 'uses'=>'OrdersController@getCustomerOrderDetail']);
        // 新建订单
        $api->post('/openapi/rhawn/orders/createRhawnOrders', ['permission' => 'orders.createRhawnOrders', 'uses'=>'OrdersController@createCustomerNewOrder']);
        // 取消订单
        //$api->post('/openapi/rhawn/orders/cancelRhawnOrders', ['permission' => 'orders.cancelRhawnOrders', 'uses'=>'OrdersController@cancelCustomerOrder']);
        $api->post('/openapi/rhawn/orders/getOrdersDispatch', ['permission' => 'orders.getOrdersDispatch', 'uses'=>'OrdersController@getOrdersDispatch']);
    });

    $api->group(['namespace'=>'App\Http\Controllers\V1\Rhawn','middleware' => ['throttle:60,1','apiAuth'], 'providers' => 'jwt'], function($api) {
        $api->post('/openapi/rhawn/products/getAllProducts', ['permission' => 'orders.getProductList', 'uses'=>'ProductsController@getAllProductsList']);
        $api->post('/openapi/rhawn/products/getProductDetail', ['permission' => 'orders.getProductDetail', 'uses'=>'ProductsController@getProductDetail']);
        $api->post('/openapi/rhawn/products/getProductByCas', ['permission' => 'orders.getProductByCas', 'uses'=>'ProductsController@getProductByCas']);
    });

    $api->group(['namespace'=>'App\Http\Controllers\V1\Rhawn','middleware' => ['throttle:60,1','apiAuth'], 'providers' => 'jwt'], function($api) {
        $api->post('/openapi/rhawn/invoice/getInvoiceSorderItems', ['permission' => 'orders.getInvoiceSorderItems', 'uses'=>'InvoiceController@getInvoiceSorderItems']);
    });

    // 百化接口
    $api->group(['namespace'=>'App\Http\Controllers\V1\Bhua','middleware' => ['throttle:60,1','apiAuth'], 'providers' => 'jwt'], function($api) {
        // 新建订单
        $api->post('/openapi/bhua/orders/createBhuaOrders', ['permission' => 'orders.createBhuaOrders', 'uses'=>'OrdersController@createCustomerNewOrder']);
        $api->post('/openapi/bhua/orders/getOrdersDispatch', ['permission' => 'orders.getOrdersDispatch', 'uses'=>'OrdersController@getOrdersDispatch']);
    });

    $api->group(['namespace'=>'App\Http\Controllers\V1\Bhua','middleware' => ['throttle:60,1','apiAuth'], 'providers' => 'jwt'], function($api) {
        $api->post('/openapi/bhua/products/getAllBrands', ['permission' => 'orders.getAllBrands', 'uses'=>'ProductsController@getAllBrands']);
        $api->post('/openapi/bhua/products/getProductsByBrandId', ['permission' => 'orders.getProductsByBrandId', 'uses'=>'ProductsController@getProductsByBrand']);
    });

    $api->group(['namespace'=>'App\Http\Controllers\Internal\V1\Bhua','middleware' => ['throttle:60,1','apiAuth'], 'providers' => 'jwt'], function($api) {
        $api->post('/openapi/internal/bhua/getAllBrands', ['permission' => 'orders.getAllBrands', 'uses'=>'ProductsController@getAllBrands']);
    });

    $api->group(['namespace'=>'App\Http\Controllers\V1\Bhua','middleware' => ['throttle:60,1','apiAuth'], 'providers' => 'jwt'], function($api) {
        $api->post('/openapi/bhua/invoice/getInvoiceSorderItems', ['permission' => 'orders.getInvoiceSorderItems', 'uses'=>'InvoiceController@getInvoiceSorderItems']);
    });

    // chemsite接口
    $api->group(['namespace'=>'App\Http\Controllers\V1\Chemsite','middleware' => ['throttle:60,1','apiAuth'], 'providers' => 'jwt'], function($api) {
        $api->post('/openapi/chemsite/customer/getCustomer', ['permission' => 'chemsite.customer.search', 'uses'=>'CustomerController@getCustomer']);
    });
});

